commit 4aca504657c8af3b325c218539b1175f8ecbf144
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Wed Jun 7 11:45:36 2017 +0200

    ref #6694 Remove wizard pages and plugin configurations

diff --git a/eu.etaxonomy.taxeditor.printpublisher/src/main/java/eu/etaxonomy/taxeditor/printpublisher/wizard/SelectFeatureTreeWizardPage.java b/eu.etaxonomy.taxeditor.printpublisher/src/main/java/eu/etaxonomy/taxeditor/printpublisher/wizard/SelectFeatureTreeWizardPage.java
index fecba5a40..abe8d2ccf 100644
--- a/eu.etaxonomy.taxeditor.printpublisher/src/main/java/eu/etaxonomy/taxeditor/printpublisher/wizard/SelectFeatureTreeWizardPage.java
+++ b/eu.etaxonomy.taxeditor.printpublisher/src/main/java/eu/etaxonomy/taxeditor/printpublisher/wizard/SelectFeatureTreeWizardPage.java
@@ -1,8 +1,8 @@
 /**
 * Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy 
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-* 
+*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
@@ -13,7 +13,6 @@ import java.util.ArrayList;
 import java.util.List;
 import java.util.UUID;
 
-import org.eclipse.core.runtime.IStatus;
 import org.eclipse.jface.viewers.ISelectionChangedListener;
 import org.eclipse.jface.viewers.IStructuredContentProvider;
 import org.eclipse.jface.viewers.IStructuredSelection;
@@ -22,7 +21,6 @@ import org.eclipse.jface.viewers.ListViewer;
 import org.eclipse.jface.viewers.SelectionChangedEvent;
 import org.eclipse.jface.viewers.StructuredSelection;
 import org.eclipse.jface.viewers.Viewer;
-import org.eclipse.jface.wizard.WizardDialog;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.SelectionAdapter;
 import org.eclipse.swt.events.SelectionEvent;
@@ -34,7 +32,6 @@ import org.jdom.Element;
 
 import eu.etaxonomy.cdm.print.IXMLEntityFactory;
 import eu.etaxonomy.cdm.print.XMLHelper;
-import eu.etaxonomy.taxeditor.featuretree.FeatureTreeEditorWizard;
 
 /**
  * <p>SelectFeatureTreeWizardPage class.</p>
@@ -43,9 +40,9 @@ import eu.etaxonomy.taxeditor.featuretree.FeatureTreeEditorWizard;
  * @created Aug 6, 2010
  * @version 1.0
  */
-public class SelectFeatureTreeWizardPage extends AbstractPublishWizardPage 
+public class SelectFeatureTreeWizardPage extends AbstractPublishWizardPage
 	implements ISelectionChangedListener, IHasPersistableSettings{
-	
+
 	private static final String DIALOG_SETTING_FEATURE_TREE_UUID = "dialogSettingFeatureTreeUuid";
 	private ListViewer viewer;
 
@@ -58,7 +55,7 @@ public class SelectFeatureTreeWizardPage extends AbstractPublishWizardPage
 		super(pageName);
 		setTitle("Select Feature Tree");
 	}
-	
+
 	/* (non-Javadoc)
 	 * @see org.eclipse.jface.dialogs.IDialogPage#createControl(org.eclipse.swt.widgets.Composite)
 	 */
@@ -66,77 +63,80 @@ public class SelectFeatureTreeWizardPage extends AbstractPublishWizardPage
 	@Override
 	public void createControl(Composite parent) {
 		setPageComplete(false);
-		
+
 		Composite composite = new Composite(parent, SWT.NULL);
 		composite.setLayout(new GridLayout());
-		
+
 		viewer = new ListViewer(composite);
 		viewer.getControl().setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true));
 		viewer.setContentProvider(new FeatureTreeContentProvider());
 		viewer.setLabelProvider(new FeatureTreeLabelProvider());
-		
+
 		viewer.addSelectionChangedListener(this);
-				
+
 		// offer feature tree editor when local
 		if(getConfigurator().isLocal()){
 			final Button button_openFeatureTree = new Button(composite, SWT.PUSH);
 			button_openFeatureTree.setText("Open FeatureTree Editor");
-			
+
 			button_openFeatureTree.addSelectionListener(new SelectionAdapter() {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
-					FeatureTreeEditorWizard featureTreeEditorDialog = new FeatureTreeEditorWizard();
-					WizardDialog dialog = new WizardDialog(getShell(), featureTreeEditorDialog);
-					
-					if(dialog.open() == IStatus.OK){
-						refresh();
-					}
+				    //FIXME: this wizard page has been removed by implementing #6694
+				    //If print publishing is used again the selection has to be re-implemented
+
+//					FeatureTreeEditorWizard featureTreeEditorDialog = new FeatureTreeEditorWizard();
+//					WizardDialog dialog = new WizardDialog(getShell(), featureTreeEditorDialog);
+//
+//					if(dialog.open() == IStatus.OK){
+//						refresh();
+//					}
 				}
 			});
 		}
-				
+
 		// when using a local factory we can set the input right here
 		if(getConfigurator() != null && getConfigurator().isLocal()){
 			refresh();
 		}
-		
+
 		loadSettings();
-		
+
 		setControl(composite);
 	}
 
 	@Override
 	public void loadSettings() {
-		String featureTreeUuidString = getDialogSettingValue(DIALOG_SETTING_FEATURE_TREE_UUID); 
-		
+		String featureTreeUuidString = getDialogSettingValue(DIALOG_SETTING_FEATURE_TREE_UUID);
+
 		if(featureTreeUuidString != null){
 			setSelectedFeatureTree(featureTreeUuidString);
-			
+
 		}
 	}
-	
+
 	/** {@inheritDoc} */
 	@Override
 	public void selectionChanged(SelectionChangedEvent event) {
 		IStructuredSelection selection = (IStructuredSelection) event.getSelection();
-		
+
 		if(selection.isEmpty()){
 			return;
 		}
-		
+
 		setPageComplete(true);
-		
-		
+
+
 		Element featureTreeElement = (Element) selection.getFirstElement();
-			
+
 		UUID featureTreeUuid = XMLHelper.getUuid(featureTreeElement);
-		
+
 		setFeatureTree(featureTreeUuid.toString());
 	}
-	
+
 	private void setSelectedFeatureTree(String featureTreeUuid){
 		List<Element> input = (ArrayList<Element>) viewer.getInput();
-		
+
 		for(Element element : input){
 			UUID uuid = XMLHelper.getUuid(element);
 			if(uuid.toString().equals(featureTreeUuid)){
@@ -145,14 +145,14 @@ public class SelectFeatureTreeWizardPage extends AbstractPublishWizardPage
 			}
 		}
 	}
-	
+
 	public void setFeatureTree(String featureTreeUuidString){
 		putDialogSettingValue(DIALOG_SETTING_FEATURE_TREE_UUID, featureTreeUuidString);
 		UUID featureTreeUuid = UUID.fromString(featureTreeUuidString);
 		getConfigurator().setFeatureTree(featureTreeUuid);
 		setPageComplete(featureTreeUuid != null);
 	}
-	
+
 	/** {@inheritDoc} */
 	@Override
 	public boolean canFlipToNextPage() {
@@ -174,7 +174,7 @@ public class SelectFeatureTreeWizardPage extends AbstractPublishWizardPage
 		}
 		viewer.setInput(realFeatureTrees);
 	}
-	
+
 	private class FeatureTreeContentProvider implements IStructuredContentProvider {
 
 		@Override
@@ -190,11 +190,11 @@ public class SelectFeatureTreeWizardPage extends AbstractPublishWizardPage
 			}
 			return new Object[0];
 		}
-		
+
 	}
-	
+
 	private class FeatureTreeLabelProvider extends LabelProvider {
-		
+
 		/*
 		 * (non-Javadoc)
 		 * @see org.eclipse.jface.viewers.LabelProvider#getText(java.lang.Object)
@@ -202,11 +202,11 @@ public class SelectFeatureTreeWizardPage extends AbstractPublishWizardPage
 		@Override
 		public String getText(Object element) {
 			if(element instanceof Element){
-				Element xmlElement = (Element) element;			
+				Element xmlElement = (Element) element;
 				return XMLHelper.getTitleCache(xmlElement);
 			}
 			return "no title cache";
 		}
-		
+
 	}
 }
diff --git a/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle.properties b/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle.properties
index dd326a256..088eb4fa5 100644
--- a/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle.properties
+++ b/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle.properties
@@ -21,7 +21,6 @@ page.name.17 = Reference Matching Strategy
 page.name.18 = Team or Person Matching Strategy
 page.name.19 = Stage
 page.name.20 = Preservation Method
-page.name.21 = Feature Tree
 page.name.22 = Default Feature Trees
 page.name.23 = Representation
 page.name.24 = Mobot Open Url
diff --git a/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle_de.properties b/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle_de.properties
index 8f2376c2e..1f11fc47d 100644
--- a/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle_de.properties
+++ b/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle_de.properties
@@ -21,7 +21,6 @@ page.name.17 = Referenz Matching-Strategie
 page.name.18 = Team oder Personen Matching-Strategie
 page.name.19 = Stadium
 page.name.20 = Konservierungsmethode
-page.name.21 = Merkmalsbaum
 page.name.22 = Standard Merkmalsbaum
 page.name.23 = Repr\u00e4sentation
 page.name.24 = Mobot Open Url
diff --git a/eu.etaxonomy.taxeditor.store/plugin.xml b/eu.etaxonomy.taxeditor.store/plugin.xml
index d8c95af6b..2a188f2f0 100755
--- a/eu.etaxonomy.taxeditor.store/plugin.xml
+++ b/eu.etaxonomy.taxeditor.store/plugin.xml
@@ -165,12 +165,6 @@
             id="eu.etaxonomy.taxeditor.preferences.preservationMethod"
             name="%page.name.20">
       </page>
-      <page
-            category="eu.etaxonomy.taxeditor.preferences.feature"
-            class="eu.etaxonomy.taxeditor.preference.FeatureTreePreferences"
-            id="eu.etaxonomy.taxeditor.preferences.featureTree"
-            name="%page.name.21">
-      </page>
       <page
             category="eu.etaxonomy.taxeditor.preferences.feature"
             class="eu.etaxonomy.taxeditor.preference.DefaultFeatureTreePreferenecs"
@@ -535,15 +529,6 @@
             </with>
          </activeWhen>
       </handler>
-      <handler
-            class="eu.etaxonomy.taxeditor.featuretree.OpenFeatureTreeEditorWizardHandler"
-            commandId="eu.etaxonomy.taxeditor.store.open.FeatureTreeEditorWizard">
-         <activeWhen>
-            <reference
-                  definitionId="hasROLE_PROJECT_MANAGER">
-            </reference>
-         </activeWhen>
-      </handler>
       <handler
             class="eu.etaxonomy.taxeditor.handler.ShowRemotingLoginWindowHandler"
             commandId="eu.etaxonomy.taxeditor.store.operations.showRemotingLoginWindow">
@@ -660,10 +645,6 @@
             id="eu.etaxonomy.taxeditor.editor.definedTerms.newTermVocabulary"
             name="%command.name.7">
       </command>
-      <command
-         id="eu.etaxonomy.taxeditor.store.open.FeatureTreeEditorWizard"
-         name="%command.name.9">
-   	  </command>
       <command
             id="eu.etaxonomy.taxeditor.store.openPasswordWizzard"
             name="%command.name.10">
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/featuretree/EditFeatureTreeWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/featuretree/EditFeatureTreeWizardPage.java
deleted file mode 100644
index 0fcfaecf9..000000000
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/featuretree/EditFeatureTreeWizardPage.java
+++ /dev/null
@@ -1,349 +0,0 @@
-/**
- * Copyright (C) 2007 EDIT
- * European Distributed Institute of Taxonomy
- * http://www.e-taxonomy.eu
- *
- * The contents of this file are subject to the Mozilla Public License Version 1.1
- * See LICENSE.TXT at the top of this package for the full license terms.
- */
-
-package eu.etaxonomy.taxeditor.featuretree;
-
-import java.util.Collection;
-
-import org.eclipse.core.runtime.IStatus;
-import org.eclipse.jface.viewers.ISelectionChangedListener;
-import org.eclipse.jface.viewers.IStructuredSelection;
-import org.eclipse.jface.viewers.SelectionChangedEvent;
-import org.eclipse.jface.viewers.TreeViewer;
-import org.eclipse.jface.viewers.Viewer;
-import org.eclipse.jface.viewers.ViewerDropAdapter;
-import org.eclipse.jface.wizard.WizardDialog;
-import org.eclipse.jface.wizard.WizardPage;
-import org.eclipse.swt.SWT;
-import org.eclipse.swt.dnd.DND;
-import org.eclipse.swt.dnd.DragSourceAdapter;
-import org.eclipse.swt.dnd.DragSourceEvent;
-import org.eclipse.swt.dnd.Transfer;
-import org.eclipse.swt.dnd.TransferData;
-import org.eclipse.swt.events.ModifyEvent;
-import org.eclipse.swt.events.ModifyListener;
-import org.eclipse.swt.events.SelectionAdapter;
-import org.eclipse.swt.events.SelectionEvent;
-import org.eclipse.swt.layout.GridData;
-import org.eclipse.swt.layout.GridLayout;
-import org.eclipse.swt.widgets.Button;
-import org.eclipse.swt.widgets.Composite;
-import org.eclipse.swt.widgets.Label;
-import org.eclipse.swt.widgets.Text;
-import org.hibernate.proxy.HibernateProxy;
-
-import eu.etaxonomy.cdm.api.service.IFeatureNodeService;
-import eu.etaxonomy.cdm.api.service.config.FeatureNodeDeletionConfigurator;
-import eu.etaxonomy.cdm.hibernate.HibernateProxyHelper;
-import eu.etaxonomy.cdm.model.description.Feature;
-import eu.etaxonomy.cdm.model.description.FeatureNode;
-import eu.etaxonomy.cdm.model.description.FeatureTree;
-import eu.etaxonomy.taxeditor.model.MessagingUtils;
-import eu.etaxonomy.taxeditor.store.CdmStore;
-
-/**
- * <p>
- * EditFeatureTreeWizardPage class.
- * </p>
- *
- * @author n.hoffmann
- * @created Aug 5, 2010
- * @version 1.0
- */
-public class EditFeatureTreeWizardPage extends WizardPage implements
-		ModifyListener, ISelectionChangedListener {
-
-	private TreeViewer viewer;
-	private Label label_title;
-	private Text text_title;
-	private Button button_add;
-	private Button button_remove;
-	private Label label_treeInfo;
-	private FeatureTree featureTree;
-
-	/**
-	 * <p>
-	 * Constructor for EditFeatureTreeWizardPage.
-	 * </p>
-	 *
-	 * @param pageName
-	 *            a {@link java.lang.String} object.
-	 */
-	protected EditFeatureTreeWizardPage(String pageName) {
-		super(pageName);
-		setMessage("Edit the Feature Tree.");
-	}
-
-	/*
-	 * (non-Javadoc)
-	 *
-	 * @see
-	 * org.eclipse.jface.dialogs.IDialogPage#createControl(org.eclipse.swt.widgets
-	 * .Composite)
-	 */
-	/** {@inheritDoc} */
-	@Override
-	public void createControl(Composite parent) {
-		Composite composite = new Composite(parent, SWT.NULL);
-		composite.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true));
-		composite.setLayout(new GridLayout());
-
-		Composite composite_treeTitle = new Composite(composite, SWT.NULL);
-		composite_treeTitle.setLayoutData(new GridData(SWT.FILL, SWT.TOP, true,
-				false));
-		composite_treeTitle.setLayout(new GridLayout(2, false));
-
-		label_title = new Label(composite_treeTitle, SWT.NULL);
-		label_title.setText("Title");
-
-		text_title = new Text(composite_treeTitle, SWT.NULL);
-		text_title.setLayoutData(new GridData(SWT.FILL, SWT.TOP, true, false));
-
-		Composite composite_treeContent = new Composite(composite, SWT.NULL);
-		composite_treeContent.setLayoutData(new GridData(SWT.FILL, SWT.FILL,
-				true, true));
-		composite_treeContent.setLayout(new GridLayout(2, false));
-
-		viewer = new TreeViewer(composite_treeContent);
-		viewer.getControl().setLayoutData(
-				new GridData(SWT.FILL, SWT.FILL, true, true));
-
-		Composite composite_buttons = new Composite(composite_treeContent,
-				SWT.NULL);
-		composite_buttons.setLayoutData(new GridData(SWT.LEFT, SWT.TOP, false,
-				false));
-		composite_buttons.setLayout(new GridLayout());
-
-		button_add = new Button(composite_buttons, SWT.PUSH);
-		button_add.setText("Add");
-		button_add.setToolTipText("Add a feature to this feature treee.");
-		button_remove = new Button(composite_buttons, SWT.PUSH);
-		button_remove.setText("Remove");
-		button_remove
-				.setToolTipText("Remove a feature from this feature tree.");
-
-		label_treeInfo = new Label(composite, SWT.NULL);
-		label_treeInfo
-				.setText("Order and nesting of feature nodes may be changed through drag and drop.");
-
-		viewer.setContentProvider(new FeatureTreeContentProvider());
-		viewer.setLabelProvider(new FeatureTreeLabelProvider());
-
-		int ops = DND.DROP_COPY | DND.DROP_MOVE;
-		Transfer[] transfers = new Transfer[] { FeatureNodeTransfer
-				.getInstance() };
-		viewer.addDragSupport(ops, transfers, new FeatureNodeDragListener(
-				viewer));
-		viewer.addDropSupport(ops, transfers,
-				new FeatureNodeDropAdapter(viewer));
-
-		viewer.addSelectionChangedListener(this);
-
-		button_add.addSelectionListener(new AddButtonListener());
-		button_remove.addSelectionListener(new RemoveSelectionListener());
-
-		setControl(composite);
-	}
-
-	/**
-	 * <p>
-	 * setSelectedTree
-	 * </p>
-	 *
-	 * @param featureTree
-	 *            a {@link eu.etaxonomy.cdm.model.description.FeatureTree}
-	 *            object.
-	 */
-	public void setSelectedTree(FeatureTree featureTree) {
-		this.featureTree = HibernateProxyHelper.deproxy(featureTree, FeatureTree.class);
-		this.featureTree.setRoot(HibernateProxyHelper.deproxy(featureTree.getRoot(), FeatureNode.class));
-		viewer.setInput(featureTree);
-
-		text_title.removeModifyListener(this);
-		if (featureTree != null){
-			text_title.setText(featureTree.getTitleCache());
-		}
-		text_title.addModifyListener(this);
-	}
-
-	/** {@inheritDoc} */
-	@Override
-	public void modifyText(ModifyEvent e) {
-		featureTree.setTitleCache(text_title.getText(), true);
-	}
-
-	/** {@inheritDoc} */
-	@Override
-	public void selectionChanged(SelectionChangedEvent event) {
-		IStructuredSelection selection = (IStructuredSelection) event
-				.getSelection();
-
-		button_add.setEnabled(selection.size() <= 1);
-		button_remove.setEnabled(selection.size() > 0);
-	}
-
-	private class AddButtonListener extends SelectionAdapter {
-		@Override
-		public void widgetSelected(SelectionEvent e) {
-			AvailableFeaturesWizard wizard = new AvailableFeaturesWizard(
-					featureTree);
-			WizardDialog dialog = new WizardDialog(getShell(), wizard);
-
-			if (dialog.open() == IStatus.OK) {
-				IStructuredSelection selection = (IStructuredSelection) viewer
-						.getSelection();
-				FeatureNode parent = (FeatureNode) (selection.getFirstElement() != null ? selection
-						.getFirstElement() : ((FeatureTree) viewer.getInput())
-						.getRoot());
-				Collection<Feature> additionalFeatures = wizard
-						.getAdditionalFeatures();
-				for (Feature feature : additionalFeatures) {
-					FeatureNode child = FeatureNode.NewInstance(feature);
-					CdmStore.getService(IFeatureNodeService.class).merge(child, true);
-					
-					parent.addChild(child);
-				}
-				viewer.refresh();
-			}
-		}
-	}
-
-	private class RemoveSelectionListener extends SelectionAdapter {
-		@Override
-		public void widgetSelected(SelectionEvent e) {
-			IStructuredSelection selection = (IStructuredSelection) viewer
-					.getSelection();
-
-			for (Object selectedObject : selection.toArray()) {
-				FeatureNode featureNode = (FeatureNode) selectedObject;
-				FeatureNode parent = featureNode.getParent();
-				parent.removeChild(featureNode);
-				
-				CdmStore.getService(IFeatureNodeService.class).deleteFeatureNode(featureNode.getUuid(), new FeatureNodeDeletionConfigurator());
-				
-			}
-			viewer.refresh();
-		}
-	}
-
-	private class FeatureNodeDragListener extends DragSourceAdapter {
-
-		private final TreeViewer viewer;
-
-		public FeatureNodeDragListener(TreeViewer viewer) {
-			this.viewer = viewer;
-		}
-
-		/**
-		 * Method declared on DragSourceListener
-		 */
-		@Override
-		public void dragFinished(DragSourceEvent event) {
-			if (!event.doit) {
-                return;
-            }
-			// if the featureNode was moved, remove it from the source viewer
-			if (event.detail == DND.DROP_MOVE) {
-				IStructuredSelection selection = (IStructuredSelection) viewer
-						.getSelection();
-				viewer.refresh();
-			}
-		}
-
-		/**
-		 * Method declared on DragSourceListener
-		 */
-		@Override
-		public void dragSetData(DragSourceEvent event) {
-			IStructuredSelection selection = (IStructuredSelection) viewer
-					.getSelection();
-			FeatureNode[] featureNodes = (FeatureNode[]) selection.toList()
-					.toArray(new FeatureNode[selection.size()]);
-			if (FeatureNodeTransfer.getInstance().isSupportedType(
-					event.dataType)) {
-				event.data = featureNodes;
-			}
-		}
-
-		/**
-		 * Method declared on DragSourceListener
-		 */
-		@Override
-		public void dragStart(DragSourceEvent event) {
-			event.doit = !viewer.getSelection().isEmpty();
-		}
-
-	}
-
-	private class FeatureNodeDropAdapter extends ViewerDropAdapter {
-
-		protected FeatureNodeDropAdapter(Viewer viewer) {
-			super(viewer);
-		}
-
-		@Override
-		public boolean performDrop(Object data) {
-			FeatureNode target = (FeatureNode) getCurrentTarget();
-			int position = 0;
-
-			if (target != null) {
-				int location = getCurrentLocation();
-				FeatureNode parent = target.getParent();
-				if (location == LOCATION_BEFORE) {
-					position = Math.max(0, parent.getIndex(target) - 1);
-					target = parent;
-				}
-
-				if (location == LOCATION_AFTER) {
-					position = parent.getIndex(target);
-					target = parent;
-				}
-			}
-
-			// set target to root node if there is no target specified
-			if (target == null) {
-				FeatureTree featureTree = (FeatureTree) getViewer().getInput();
-				target = featureTree.getRoot();
-			}
-
-			Object[] droppedObjects = (Object[]) data;
-			TreeViewer viewer = (TreeViewer) getViewer();
-
-			// cannot drop a feature node onto itself
-			for (Object droppedObject : droppedObjects) {
-				if (droppedObject == null) {
-					MessagingUtils.warningDialog(
-									"Operation not supported yet",
-									this,
-									"We are currently unable to change the order of freshly created "
-											+ "feature trees nodes. Please close and reopen the dialog to change the order of features.");
-					return false;
-				}
-				if (droppedObject.equals(target)) {
-					return false;
-				}
-			}
-			for (Object droppedObject : droppedObjects) {
-				FeatureNode droppedNode = (FeatureNode) droppedObject;
-				target.addChild(droppedNode, position);
-				viewer.add(target, droppedNode);
-				viewer.reveal(droppedNode);
-			}
-			return true;
-		}
-
-		@Override
-		public boolean validateDrop(Object target, int operation,
-				TransferData transferData) {
-			return FeatureNodeTransfer.getInstance().isSupportedType(
-					transferData);
-		}
-
-	}
-}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/featuretree/FeatureTreeEditorWizard.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/featuretree/FeatureTreeEditorWizard.java
deleted file mode 100644
index 23e7478d2..000000000
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/featuretree/FeatureTreeEditorWizard.java
+++ /dev/null
@@ -1,141 +0,0 @@
-/**
-* Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy
-* http://www.e-taxonomy.eu
-*
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-
-package eu.etaxonomy.taxeditor.featuretree;
-
-import java.util.Arrays;
-import java.util.List;
-import java.util.Map;
-
-import org.eclipse.jface.wizard.Wizard;
-
-import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
-import eu.etaxonomy.cdm.api.service.IFeatureTreeService;
-import eu.etaxonomy.cdm.model.description.FeatureTree;
-import eu.etaxonomy.taxeditor.session.ICdmEntitySession;
-import eu.etaxonomy.taxeditor.session.ICdmEntitySessionEnabled;
-import eu.etaxonomy.taxeditor.store.CdmStore;
-
-/**
- * <p>FeatureTreeEditorWizard class.</p>
- *
- * @author n.hoffmann
- * @created Aug 5, 2010
- * @version 1.0
- */
-public class FeatureTreeEditorWizard extends Wizard implements ICdmEntitySessionEnabled {
-
-	private SelectFeatureTreeWizardPage selectFeatureTreePage;
-	private EditFeatureTreeWizardPage editFeatureTreePage;
-
-	private FeatureTree selectedFeatureTree;
-
-	private ConversationHolder conversation;
-	private ICdmEntitySession cdmEntitySession;
-	private ICdmEntitySession previousCdmEntitySession;
-
-	/**
-	 * <p>Constructor for FeatureTreeEditorWizard.</p>
-	 */
-	public FeatureTreeEditorWizard(){
-		conversation = CdmStore.createConversation();
-		previousCdmEntitySession = CdmStore.getCurrentSessionManager().getActiveSession();
-		cdmEntitySession = CdmStore.getCurrentSessionManager().newSession(this, true);
-		setWindowTitle("Feature Tree Editor");
-	}
-
-	/**
-	 * <p>addPages</p>
-	 */
-	@Override
-    public void addPages() {
-		selectFeatureTreePage = new SelectFeatureTreeWizardPage("SELECT");
-		addPage(selectFeatureTreePage);
-
-		editFeatureTreePage = new EditFeatureTreeWizardPage("EDIT");
-		addPage(editFeatureTreePage);
-	}
-
-
-
-	/** {@inheritDoc} */
-	@Override
-	public boolean performFinish() {
-		try{
-			if (selectedFeatureTree != null){
-			    CdmStore.getService(IFeatureTreeService.class).merge(selectedFeatureTree, true);
-			}
-			conversation.commit();
-		}finally{
-			conversation.close();
-			cdmEntitySession.dispose();
-			if(previousCdmEntitySession != null) {
-			    previousCdmEntitySession.bind();
-			}
-		}
-
-		return true;
-	}
-
-	/** {@inheritDoc} */
-    @Override
-    public boolean performCancel() {
-        cdmEntitySession.dispose();
-        if(previousCdmEntitySession != null) {
-            previousCdmEntitySession.bind();
-        }
-        return true;
-    }
-
-	/**
-	 * <p>Setter for the field <code>selectedFeatureTree</code>.</p>
-	 *
-	 * @param selectedFeatureTree the selectedFeatureTree to set
-	 */
-	public void setSelectedFeatureTree(FeatureTree selectedFeatureTree) {
-		this.selectedFeatureTree = selectedFeatureTree;
-		editFeatureTreePage.setSelectedTree(selectedFeatureTree);
-	}
-
-	/**
-	 * <p>Getter for the field <code>selectedFeatureTree</code>.</p>
-	 *
-	 * @return the selectedFeatureTree
-	 */
-	public FeatureTree getSelectedFeatureTree() {
-		return selectedFeatureTree;
-	}
-
-    /* (non-Javadoc)
-     * @see eu.etaxonomy.taxeditor.session.ICdmEntitySessionEnabled#getCdmEntitySession()
-     */
-    @Override
-    public ICdmEntitySession getCdmEntitySession() {
-        // TODO Auto-generated method stub
-        return null;
-    }
-
-    /* (non-Javadoc)
-     * @see eu.etaxonomy.taxeditor.session.ICdmEntitySessionEnabled#getRootEntities()
-     */
-    @Override
-    public List<FeatureTree> getRootEntities() {
-        return Arrays.asList(selectedFeatureTree);
-    }
-
-    /* (non-Javadoc)
-     * @see eu.etaxonomy.taxeditor.session.ICdmEntitySessionEnabled#getPropertyPathsMap()
-     */
-    @Override
-    public Map<Object, List<String>> getPropertyPathsMap() {
-        // TODO Auto-generated method stub
-        return null;
-    }
-
-}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/featuretree/OpenFeatureTreeEditorWizardHandler.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/featuretree/OpenFeatureTreeEditorWizardHandler.java
deleted file mode 100644
index eb981e6ca..000000000
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/featuretree/OpenFeatureTreeEditorWizardHandler.java
+++ /dev/null
@@ -1,32 +0,0 @@
-package eu.etaxonomy.taxeditor.featuretree;
-
-import org.eclipse.core.commands.AbstractHandler;
-import org.eclipse.core.commands.ExecutionEvent;
-import org.eclipse.core.commands.ExecutionException;
-import org.eclipse.jface.wizard.WizardDialog;
-
-import eu.etaxonomy.taxeditor.store.StoreUtil;
-
-/**
- * 
- * @author a.kohlbecker
- *
- */
-public class OpenFeatureTreeEditorWizardHandler extends AbstractHandler {
-	
-	/**
-	 * unused, only added as reference
-	 */
-	String commandID = "eu.etaxonomy.taxeditor.store.open.FeatureTreeEditorWizard"; 
-
-	@Override
-	public Object execute(ExecutionEvent event) throws ExecutionException {
-		FeatureTreeEditorWizard featureTreeEditorDialog = new FeatureTreeEditorWizard();
-		WizardDialog dialog = new WizardDialog(StoreUtil.getShell(),
-				featureTreeEditorDialog);
-
-		dialog.open();
-		return null;
-	}
-
-}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/featuretree/SelectFeatureTreeWizard.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/featuretree/SelectFeatureTreeWizard.java
deleted file mode 100644
index 3b1ca3ad8..000000000
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/featuretree/SelectFeatureTreeWizard.java
+++ /dev/null
@@ -1,40 +0,0 @@
-/**
-* Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy 
-* http://www.e-taxonomy.eu
-* 
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-
-package eu.etaxonomy.taxeditor.featuretree;
-
-import org.eclipse.jface.wizard.Wizard;
-
-/**
- * <p>SelectFeatureTreeWizard class.</p>
- *
- * @author n.hoffmann
- * @created Sep 17, 2010
- * @version 1.0
- */
-public class SelectFeatureTreeWizard extends Wizard {
-
-	/** Constant <code>PAGE_NAME="Select Feature Tree"</code> */
-	public static final String PAGE_NAME = "Select Feature Tree";
-	
-	/** {@inheritDoc} */
-	@Override
-	public void addPages() {
-		addPage(new SelectFeatureTreeWizardPage(PAGE_NAME));
-	}
-	
-	/* (non-Javadoc)
-	 * @see org.eclipse.jface.wizard.Wizard#performFinish()
-	 */
-	/** {@inheritDoc} */
-	@Override
-	public boolean performFinish() {
-		return false;
-	}
-}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/featuretree/SelectFeatureTreeWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/featuretree/SelectFeatureTreeWizardPage.java
deleted file mode 100644
index 6fc3a7f5f..000000000
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/featuretree/SelectFeatureTreeWizardPage.java
+++ /dev/null
@@ -1,178 +0,0 @@
-/**
-* Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy
-* http://www.e-taxonomy.eu
-*
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-
-package eu.etaxonomy.taxeditor.featuretree;
-
-import java.util.List;
-import java.util.logging.ErrorManager;
-
-import org.eclipse.jface.viewers.ISelectionChangedListener;
-import org.eclipse.jface.viewers.IStructuredSelection;
-import org.eclipse.jface.viewers.ListViewer;
-import org.eclipse.jface.viewers.SelectionChangedEvent;
-import org.eclipse.jface.viewers.StructuredSelection;
-import org.eclipse.jface.wizard.WizardPage;
-import org.eclipse.swt.SWT;
-import org.eclipse.swt.events.ModifyEvent;
-import org.eclipse.swt.events.ModifyListener;
-import org.eclipse.swt.events.SelectionAdapter;
-import org.eclipse.swt.events.SelectionEvent;
-import org.eclipse.swt.layout.GridData;
-import org.eclipse.swt.layout.GridLayout;
-import org.eclipse.swt.widgets.Button;
-import org.eclipse.swt.widgets.Composite;
-import org.eclipse.swt.widgets.Label;
-import org.eclipse.swt.widgets.Text;
-
-import eu.etaxonomy.cdm.api.service.DeleteResult;
-import eu.etaxonomy.cdm.api.service.IFeatureTreeService;
-import eu.etaxonomy.cdm.model.description.FeatureTree;
-import eu.etaxonomy.taxeditor.model.DeleteResultMessagingUtils;
-import eu.etaxonomy.taxeditor.model.MessagingUtils;
-import eu.etaxonomy.taxeditor.store.CdmStore;
-
-/**
- * <p>SelectFeatureTreeWizardPage class.</p>
- *
- * @author n.hoffmann
- * @created Aug 5, 2010
- * @version 1.0
- */
-public class SelectFeatureTreeWizardPage extends WizardPage implements ISelectionChangedListener, ModifyListener{
-
-	private ListViewer viewer;
-	private Text text_title;
-	private Button button_add;
-	private Button button_remove;
-
-	/**
-	 * <p>Constructor for SelectFeatureTreeWizardPage.</p>
-	 *
-	 * @param pageName a {@link java.lang.String} object.
-	 */
-	protected SelectFeatureTreeWizardPage(String pageName) {
-		super(pageName);
-		setMessage("Select a Feature Tree or create a new one.");
-	}
-
-	/* (non-Javadoc)
-	 * @see org.eclipse.jface.dialogs.IDialogPage#createControl(org.eclipse.swt.widgets.Composite)
-	 */
-	/** {@inheritDoc} */
-	@Override
-	public void createControl(Composite parent) {
-		Composite composite = new Composite(parent, SWT.NULL);
-
-		composite.setLayout(new GridLayout());
-
-		Composite composite_treeContent = new Composite(composite, SWT.NULL);
-		composite_treeContent.setLayoutData(new GridData(SWT.FILL, SWT.FILL,
-				true, true));
-		composite_treeContent.setLayout(new GridLayout(2, false));
-
-		viewer = new ListViewer(composite_treeContent);
-		viewer.getControl().setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true));
-
-		button_remove = new Button(composite_treeContent, SWT.PUSH);
-		button_remove.setText("Remove");
-		button_remove.setLayoutData(new GridData(SWT.RIGHT, SWT.TOP, false, false));
-
-		Composite composite_treeTitle = new Composite(composite, SWT.NULL);
-		composite_treeTitle.setLayoutData(new GridData(SWT.FILL, SWT.TOP, true,
-				false));
-		composite_treeTitle.setLayout(new GridLayout(3, false));
-
-
-
-		Label label_title = new Label(composite_treeTitle, SWT.NULL);
-		label_title.setText("New Feature Tree");
-
-		text_title = new Text(composite_treeTitle, SWT.NULL);
-		text_title.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false));
-
-		button_add = new Button(composite_treeTitle, SWT.PUSH);
-		button_add.setText("Add");
-
-		viewer.setContentProvider(new FeatureTreeContentProvider());
-		viewer.setLabelProvider(new FeatureTreeLabelProvider());
-
-		viewer.addSelectionChangedListener(this);
-
-		text_title.addModifyListener(this);
-		button_add.addSelectionListener(new AddButtonSelectionListener());
-		button_remove.addSelectionListener(new RemoveButtonSelectionListener());
-
-		List<FeatureTree> input = CdmStore.getService(IFeatureTreeService.class).list(FeatureTree.class, null, null, null, null);
-
-		viewer.setInput(input);
-		modifyText(null);
-		setControl(composite);
-	}
-
-	/** {@inheritDoc} */
-	@Override
-	public void selectionChanged(SelectionChangedEvent event) {
-		IStructuredSelection selection = (IStructuredSelection) event.getSelection();
-
-		if(selection.size() == 1){
-			FeatureTree selectedFeatureTree = (FeatureTree) selection.getFirstElement();
-			((FeatureTreeEditorWizard) getWizard()).setSelectedFeatureTree(selectedFeatureTree);
-
-		}
-
-		setPageComplete(true);
-
-		button_remove.setEnabled(selection.size() >= 1);
-	}
-
-	/** {@inheritDoc} */
-	@Override
-	public boolean canFlipToNextPage() {
-		return ((IStructuredSelection) viewer.getSelection()).size() == 1;
-	}
-
-	/** {@inheritDoc} */
-	@Override
-	public void modifyText(ModifyEvent e) {
-		button_add.setEnabled(! text_title.getText().isEmpty());
-	}
-
-	private class AddButtonSelectionListener extends SelectionAdapter {
-		@Override
-        public void widgetSelected(SelectionEvent e) {
-			FeatureTree featureTree = FeatureTree.NewInstance();
-			featureTree.setTitleCache(text_title.getText(), true);
-
-			viewer.add(featureTree);
-			CdmStore.getService(IFeatureTreeService.class).merge(featureTree, true);
-			
-			text_title.setText("");
-			viewer.setSelection(new StructuredSelection(featureTree));
-
-		}
-	}
-
-	private class RemoveButtonSelectionListener extends SelectionAdapter {
-		@Override
-        public void widgetSelected(SelectionEvent e) {
-			IStructuredSelection selection = (IStructuredSelection) viewer.getSelection();
-			Object source = e.getSource();
-			for(Object element : selection.toArray()){
-				viewer.remove(element);
-				((FeatureTreeEditorWizard) getWizard()).setSelectedFeatureTree(null);
-				DeleteResult result =	CdmStore.getService(IFeatureTreeService.class).delete(((FeatureTree) element).getUuid());
-
-				if (result.isError()){
-					DeleteResultMessagingUtils.messageDialogWithDetails(result, "The delete of the feature tree was not successful.", null);
-				}
-				viewer.setSelection(new StructuredSelection(new Object[0]));
-			}
-		}
-	}
-}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/FeatureTreePreferences.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/FeatureTreePreferences.java
deleted file mode 100644
index 246780abf..000000000
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/FeatureTreePreferences.java
+++ /dev/null
@@ -1,99 +0,0 @@
-/**
- * Copyright (C) 2007 EDIT
- * European Distributed Institute of Taxonomy
- * http://www.e-taxonomy.eu
- *
- * The contents of this file are subject to the Mozilla Public License Version 1.1
- * See LICENSE.TXT at the top of this package for the full license terms.
- */
-
-package eu.etaxonomy.taxeditor.preference;
-
-import org.eclipse.jface.resource.ImageDescriptor;
-import org.eclipse.swt.SWT;
-import org.eclipse.swt.layout.GridLayout;
-import org.eclipse.swt.widgets.Composite;
-import org.eclipse.swt.widgets.Control;
-import org.eclipse.ui.IWorkbench;
-import org.eclipse.ui.IWorkbenchPreferencePage;
-
-import eu.etaxonomy.taxeditor.preference.menu.CdmPreferencePage;
-import eu.etaxonomy.taxeditor.store.CdmStore;
-import eu.etaxonomy.taxeditor.ui.element.CommandHandlerButton;
-
-/**
- * <p>
- * FeatureTreePreferences class.
- * </p>
- *
- * @author n.hoffmann
- * @created Aug 5, 2010
- * @version 1.0
- */
-public class FeatureTreePreferences extends CdmPreferencePage implements
-		IWorkbenchPreferencePage {
-
-	/**
-	 * <p>
-	 * Constructor for FeatureTreePreferences.
-	 * </p>
-	 */
-	public FeatureTreePreferences() {
-	}
-
-	/**
-	 * <p>
-	 * Constructor for FeatureTreePreferences.
-	 * </p>
-	 *
-	 * @param title
-	 *            a {@link java.lang.String} object.
-	 */
-	public FeatureTreePreferences(String title) {
-		super(title);
-	}
-
-	/**
-	 * <p>
-	 * Constructor for FeatureTreePreferences.
-	 * </p>
-	 *
-	 * @param title
-	 *            a {@link java.lang.String} object.
-	 * @param image
-	 *            a {@link org.eclipse.jface.resource.ImageDescriptor} object.
-	 */
-	public FeatureTreePreferences(String title, ImageDescriptor image) {
-		super(title, image);
-	}
-
-	/*
-	 * (non-Javadoc)
-	 *
-	 * @see
-	 * org.eclipse.ui.IWorkbenchPreferencePage#init(org.eclipse.ui.IWorkbench)
-	 */
-	/** {@inheritDoc} */
-	@Override
-	public void init(IWorkbench workbench) {
-	}
-
-	/*
-	 * (non-Javadoc)
-	 *
-	 * @see
-	 * org.eclipse.jface.preference.PreferencePage#createContents(org.eclipse
-	 * .swt.widgets.Composite)
-	 */
-	/** {@inheritDoc} */
-	@Override
-	protected Control createContents(Composite parent) {
-		Composite composite = new Composite(parent, SWT.NULL);
-		composite.setLayout(new GridLayout());
-
-		final CommandHandlerButton button_openFeatureTree = new CommandHandlerButton(composite, SWT.PUSH, "eu.etaxonomy.taxeditor.store.open.FeatureTreeEditorWizard");
-		button_openFeatureTree.setText("Open FeatureTree Editor");
-		PreferencesUtil.recursiveSetEnabled(composite, CdmStore.isActive());
-		return composite;
-	}
-}
